gnutls_openpgp_crt_get_subkey_pk_dsa_raw(3)

NAME
gnutls_openpgp_crt_get_subkey_pk_dsa_raw - export the DSA public key

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_get_subkey_pk_dsa_raw(gnutls_openpgp_crt_t crt, unsigned int idx, gnutls_datum_t * p, gnutls_datum_t * q, gnutls_datum_t * g, gnutls_datum_t * y);

ARGUMENTS

gnutls_openpgp_crt_t crt
    Holds the certificate

unsigned int idx
    Is the subkey index

gnutls_datum_t * p
    will hold the p

gnutls_datum_t * q
    will hold the q

gnutls_datum_t * g
    will hold the g

gnutls_datum_t * y
    will hold the y

DESCRIPTION
This function will export the DSA public key's parameters found in the given certificate. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise an error.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.